<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Kraft</title>
    <link rel="stylesheet" href="./resources/css/main.css">
    <link rel="stylesheet" href="./resources/css/navbar.css">
    <link rel="stylesheet" href="./resources/css/loginPage.css">
    <link rel="stylesheet" href="./resources/css/toast.css">
    

    <script type="module" >
        import {getLoginInfo} from "./resources/js/utils.js";
        import server from "./resources/js/mockServer/server.js";
        import {createToast} from "./resources/js/toasts.js";

        if(getLoginInfo()){
            window.location = "/index.html"
        }
        function loginUser(){
            const username = document.getElementById("username").value;
            server.post({
                route:"/api/login",
                body:{
                    username
                }
            }).then(res=>{
                console.log(res)
                if(res.status!==200){
                    createToast({
                        heading : res.status + ": Error in Login",
                        message : res.message
                    })
                    return;
                }
                window.location = '/index.html'
            }).catch(err=>{
                console.log(err)
            })
        }
        window.loginUser = loginUser
    </script>
  </head>
  <body>
    <nav>
    </nav>
    <main>
       <div class="login-container">
            <input id="username" name="username" class="login-container__field" placeholder="Enter Username">
            <button id="login-btn" class="login-container__login-btn" onclick="loginUser()">Login</button>
        </div>
    </main>
    <script type="module" async>
        import {Navbar} from "./resources/js/Navbar.js"
        Navbar();
        
      </script>

  </body>
</html>